/**
 * output package name
 */
package com.kingdee.eas.custom.hireapproval.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class SalaryTypeEnum extends StringEnum
{
    public static final String DAILY_VALUE = "0";//alias=ÈÕÐ½ÖÆ
    public static final String MONTHLY_VALUE = "1";//alias=ÔÂÐ½ÖÆ

    public static final SalaryTypeEnum DAILY = new SalaryTypeEnum("DAILY", DAILY_VALUE);
    public static final SalaryTypeEnum MONTHLY = new SalaryTypeEnum("MONTHLY", MONTHLY_VALUE);

    /**
     * construct function
     * @param String salaryTypeEnum
     */
    private SalaryTypeEnum(String name, String salaryTypeEnum)
    {
        super(name, salaryTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SalaryTypeEnum getEnum(String salaryTypeEnum)
    {
        return (SalaryTypeEnum)getEnum(SalaryTypeEnum.class, salaryTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SalaryTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SalaryTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SalaryTypeEnum.class);
    }
}